Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## eu.osci
Enum ErrorTextTranslation

    java.lang.Object
      java.lang.Enum<ErrorTextTranslation>
          eu.osci.ErrorTextTranslation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ErrorTextTranslation>

    public enum ErrorTextTranslation

extends java.lang.Enum<ErrorTextTranslation>

This class represents the constants class for error codes.
Copyright © 2010 Freie Hansestadt Bremen.
Created by bremen online services Entwicklungs- und Betriebsgesellschaft mbH & Co. KG.
This library (Starter Kit) can be used by anybody according to the Bremer Lizenz für freie Softwarebibliotheken. The license terms can be viewed at www.osci.de or can be ordered at the OSCI-Leitstelle (Die Senatorin für Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40, 28015 Bremen).

Enum Constant Summary
`ILLEGAL_FETCH_ITERATOR`
`NO_ALIAS`
`NO_INPUTSTREAM`
`NO_SELECTION_PARAMETER`
`NO_SUCH_PORT`
`NO_SUCH_SERVICE`
`NO_WSDL_FOUND`
`OBJECT_ALREADY_SET`
`OBJECT_NOT_INITIALIZED`

Method Summary
`java.lang.String` | `getConstant()`
`static ErrorTextTranslation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ErrorTextTranslation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_ALIAS

    public static final ErrorTextTranslation NO_ALIAS

### NO_INPUTSTREAM

    public static final ErrorTextTranslation NO_INPUTSTREAM

### ILLEGAL_FETCH_ITERATOR

    public static final ErrorTextTranslation ILLEGAL_FETCH_ITERATOR

### NO_SELECTION_PARAMETER

    public static final ErrorTextTranslation NO_SELECTION_PARAMETER

### OBJECT_NOT_INITIALIZED

    public static final ErrorTextTranslation OBJECT_NOT_INITIALIZED

### OBJECT_ALREADY_SET

    public static final ErrorTextTranslation OBJECT_ALREADY_SET

### NO_SUCH_PORT

    public static final ErrorTextTranslation NO_SUCH_PORT

### NO_SUCH_SERVICE

    public static final ErrorTextTranslation NO_SUCH_SERVICE

### NO_WSDL_FOUND

    public static final ErrorTextTranslation NO_WSDL_FOUND

Method Detail

### values

    public static ErrorTextTranslation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ErrorTextTranslation c : ErrorTextTranslation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ErrorTextTranslation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getConstant

    public java.lang.String getConstant()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Freie Hansestadt Bremen.